Loading...
Searching...
No Matches
TensorTraits< T, 1 > Struct Template Reference

`#include <nanovdb/NanoVDB.h>`

## Public Types

using | ElementType = typename T::ValueType

## Static Public Member Functions

static ElementType | scalar (const T &v)

## Static Public Attributes

static const int | Rank = 1
static const bool | IsScalar = false
static const bool | IsVector = true
static const int | Size = T::SIZE

## Member Typedef Documentation

## ElementType

template<typename T>

using ElementType = typename T::ValueType

## Member Function Documentation

## scalar()

template<typename T>

ElementType scalar | ( | const T & | v | ) |

inline static

## Member Data Documentation

## IsScalar

template<typename T>

const bool IsScalar = false

static

## IsVector

template<typename T>

const bool IsVector = true

static

## Rank

template<typename T>

const int Rank = 1

static

## Size

template<typename T>

const int Size = T::SIZE

static